Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 101033 - Clean up old JBI terms: "Assembly Unit" and "Application Sub Assembly"
Clean up old JBI terms: "Assembly Unit" and "Application Sub Assembly"
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: TBD
Assigned To: Jun Qian
issues@soa
plan60
: UI, UMBRELLA
Depends on: 108702 109450 109451 109452 109453 109454
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-13 22:13 UTC by Jun Qian
Modified: 2007-10-29 11:33 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Old JBI Module project customizer and proposed changes (27.17 KB, application/octet-stream)
2007-06-19 21:10 UTC, Jun Qian
Details
New JBI Module project customizer with proposed changes (I am using a IEP project here) (12.65 KB, application/octet-stream)
2007-06-19 21:13 UTC, Jun Qian
Details
Proposed CompApp cutomizer changes (20.70 KB, application/octet-stream)
2007-06-19 21:17 UTC, Jun Qian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jun Qian 2007-04-13 22:13:28 UTC
This is an umbrella ticket to clean up some old JBI terms (probably used before
JBI 1.0 spec was finalized). Specifically, "Assembly Unit" should be changed to
"Service Assembly"; "Application Sub Assembly" should be changed to "Service Unit". 

Those terms are used in both project customizer UI and project.properties file
in various projects and they are confusing people.
Comment 1 Venkat Chellasamy 2007-06-18 20:23:10 UTC
Needs to be done before UI freeze
Comment 2 Jun Qian 2007-06-19 21:10:51 UTC
Created attachment 44004 [details]
Old JBI Module project customizer and proposed changes
Comment 3 Jun Qian 2007-06-19 21:13:27 UTC
Created attachment 44005 [details]
New JBI Module project customizer with proposed changes (I am using a IEP project here)
Comment 4 Jun Qian 2007-06-19 21:17:46 UTC
Created attachment 44006 [details]
Proposed CompApp cutomizer changes
Comment 5 Jun Qian 2007-06-19 21:26:20 UTC
One thing that needs to be decided is how to transfer SU description to CompApp. The schema for SU jbi.xml doesn't
contain this info. Maybe we can add an extension?

The current CompApp contains a SU description (see CompApp Customizer) that is applied to all the SUs. This doesn't make
sense to me.
Comment 6 Tientien Li 2007-06-20 23:07:56 UTC
We should fix these outdated customizer panels in jbi and se projects. One possible way to access these information 
from SE projects is using standardized property names. If these properties are not defined in the SE project, then the 
default value will be used. I will try to write a short description on how to do this next week.
Comment 7 Jun Qian 2007-07-12 02:06:42 UTC
We will use standardized property name to communicate service unit description from JBI Module project to CompApp project.

I propose to remove the following properties in JBI module project which are either not-used or invalid:

    com.sun.jbi.ui.devtool.jbi.alias.application-sub-assembly=This Application Sub-Assembly
    com.sun.jbi.ui.devtool.jbi.alias.assembly-unit=This Assembly Unit
    com.sun.jbi.ui.devtool.jbi.component.conf.root=nbproject/private
    com.sun.jbi.ui.devtool.jbi.deployment.conf.root=nbproject/deployment
    com.sun.jbi.ui.devtool.jbi.description.application-sub-assembly=This represents the Application Sub-Assembly
    

I also propose to replace the following two properties:

    com.sun.jbi.ui.devtool.jbi.description.assembly-unit=Represents this Assembly Unit
    com.sun.jbi.ui.devtool.jbi.setype.prefix=sun-iep-engine

by

    jbi.service-unit.description=Represents this Service Unit
    jbi.se.type=sun-iep-engine

respectively.

For backward compatibility, CompApp will check both the new name "jbi.service-unit.description" (preferred) and old name
"com.sun.jbi.ui.devtool.jbi.description.assembly-unit" in the JBI Module projects for service unit description. This
description, if found, overwrites the template service unit description defined in CompApp.

The above proposed property name changes is not mandatory. JBI Module project owners can choose to migrate old project
property names automatically or leave them untouched. The UI clean up, as shown in the first two attachments, is a
must-fix before UI freeze though.
Comment 8 Narayana Rallabandi 2007-10-29 11:33:40 UTC
Clean up for the old terms "Assembly Unit" and "Application Sub Assembly" to "Service Assembly" and "Service Unit"
respectively.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo